Last modified: 2014-06-30 08:39:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 65757 - Explicitly name check constraints for Microsoft SQL Server schema
Explicitly name check constraints for Microsoft SQL Server schema
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.24rc
All All
: Low minor (vote)
: ---
Assigned To: Rainer Rillke @commons.wikimedia
:
Depends on:
Blocks: mssql
  Show dependency treegraph
 
Reported: 2014-05-26 01:49 UTC by Ryan Schmidt
Modified: 2014-06-30 08:39 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ryan Schmidt 2014-05-26 01:49:44 UTC
The CHECK constraints in the schema for Microsoft SQL Server (which emulate ENUM types in MySQL) are not given explicit names, and are thus given automatically generated names like "CK__image__img_major__123EB7A3". These should be given explicit names so that it is easy to modify them in the future should the list of valid choices change.
Comment 1 Gerrit Notification Bot 2014-05-27 22:48:12 UTC
Change 135714 had a related patch set uploaded by Rillke:
Name implicitly created CHECK constraints

https://gerrit.wikimedia.org/r/135714
Comment 2 Gerrit Notification Bot 2014-06-30 01:08:45 UTC
Change 135714 merged by jenkins-bot:
Name implicitly created CHECK constraints

https://gerrit.wikimedia.org/r/135714

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links